Skip to main content
Resource Center/Network Resource/L3 Network Operations
GETL3 Network OperationsSince 3.9.0SynchronousAuth Required

QueryAddressPool

QueryAddressPool

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • l3NetworkUuidStringRequired

      The L3 network UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • startIpStringRequired

      The start IP address.

    • endIpStringRequired

      The end IP address.

    • netmaskStringRequired

      The netmask.

    • gatewayStringRequired

      The gateway.

    • networkCidrStringRequired

      The network CIDR.

    • ipVersionIntegerRequired

      The IP version.

    • addressModeStringRequired

      The allocation mode of the IPv6 address.

    • prefixLenIntegerRequired

      The prefix length.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • ipRangeTypeIpRangeTypeRequired

      See ipRangeType.

      • NormalIpRangeTypeRequired

        The normal IP range.

      • AddressPoolIpRangeTypeRequired

        The IP address pool.

Endpoint

GET/zstack/v1/l3-networks/address-pools

/zstack/v1/l3-networks/address-pools

Operation ID

QueryAddressPool

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/l3-networks/address-pools' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "l3NetworkUuid": "81ce7828f3f63c0ea8a69dd9139bdaa0", "name": "Test-IPRange", "networkCidr": "192.168.10.0/24", "ipRangeType": "AddressPool" } ] }

Change History

This API has no change history records yet.

View all change history